/*	@getfi.c - get fds from command list
 */
#include <unistd.h>
#include "bopen.h"

BFD getbfiles(register int *pac, register char ***pav, BFD dfd, BFD efd)
	{
	BFD rtn;
	FD fd;

#	ifdef DEB
	errfmt("getbfiles\n");
#	endif
	fd = getfiles(pac, pav, bfd_to_fd(dfd), bfd_to_fd(efd));
	switch (fd)
		{
	case STDIN_FILENO:
	case STDOUT_FILENO:
	case STDERR_FILENO:
		rtn = fd;
		break;
	default:
		if (fd < 0)
			rtn = -1;
		else
			rtn = bufferset(fd, &filebufmap);
		break;
		}
#	ifdef DEB
	errfmt("getbfiles fd %d bfd %d\n", fd, rtn);
#	endif
	return rtn;
	}
